Package org.eclipse.gef.zest.fx.policies

# Class ShowHiddenNeighborsPolicy

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
org.eclipse.gef.mvc.fx.policies.AbstractPolicy
org.eclipse.gef.zest.fx.policies.ShowHiddenNeighborsPolicy

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`, `IPolicy`

public class ShowHiddenNeighborsPolicy extends AbstractPolicy
The `ShowHiddenNeighborsPolicy` can be installed on `NodePart` to show its hidden neighbours

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`ShowHiddenNeighborsPolicy()`

## Method Summary

Modifier and Type
Method
Description
`protected ITransactionalOperation`
`createOperation()`
`NodePart`
`getHost()`
`void`
`showHiddenNeighbors()`
Executes an operation on the history that shows the `host` `NodePart`.

### Methods inherited from class org.eclipse.gef.mvc.fx.policies.AbstractPolicy

`checkInitialized, commit, getOperation, init, isInitialized, locallyExecuteOperation, rollback`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

## Constructor Details

### ShowHiddenNeighborsPolicy

public ShowHiddenNeighborsPolicy()

## Method Details

### createOperation

protected ITransactionalOperation createOperation()

Specified by:
  `createOperation` in class `AbstractPolicy`

### getHost

public NodePart getHost()

### showHiddenNeighbors

public void showHiddenNeighbors()
Executes an operation on the history that shows the `host` `NodePart`.